Bug 158945 - editors/libreoffice: 3.3.3_1 build failure (errors 65280)
editors/libreoffice: 3.3.3_1 build failure (errors 65280)
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: office
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-15 13:00 UTC by lynx.ripe
Modified: 2011-09-05 12:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description lynx.ripe 2011-07-15 13:00:21 UTC
After updating ports on 2011-07-14 and following this UPDATING note:

20110711:
  AFFECTS: users of devel/icu
..
  portmaster -r icu

I observe repeatable problem during the build of editors/libreoffice (currently installed version 3.3.3, trying to build 3.3.3_1). One of the complete build logs is:

https://sites.google.com/site/lynxripe/freebsd/pr/20110715-libreoffice/110715_1319

 There is nothing relevant in dmesg output (no abnormal process terminations, no disk overflows etc).

 Variable settings which may be relevant:

/etc/make.conf:

PERL_VERSION=5.12.4

/usr/local/etc/ports.conf:

*/*:			WITHOUT_GNOMEVFS | WITHOUT_HAL
shells/bash:		WITH_STATIC_BASH
mail/*:			WITH_SSL_AND_PLAINTEXT
mail/sendmail*:		SENDMAIL_WITH_SHARED_MILTER | SENDMAIL_WITH_TLS
multimedia/transcode:	WITH_OPTIMIZED_CFLAGS | WITH_AVIFILE | WITH_QUICKTIME | WITH_FAME | WITH_XVID | WITH_LZO | WITH_DIVX5
print/ghostscript*:	A4
textproc/aspell:	WITHOUT_DICTEN
x11/Terminal:		WITHOUT_DBUS
devel/subversion:	WITH_MOD_DAV_SVN
www/apache2*:		WITH_SUEXEC | SUEXEC_DOCROOT=/usr/local
databases/mysql*-*:	WITH_XCHARSET=all
lang/php*:		WITH_MAILHEAD | WITH_APACHE | WITHOUT_CGI
databases/py-postgresql:PYTHON_VERSION=python3.2
lang/python-doc-pdf-a4: PYTHON_VERSION=python2.7
www/py-httplib2:	PYTHON_VERSION=python3.2

Previous version of the port (3.3.3) was built 2011-06-22 w/o problems with these settings (except that Perl version was 5.12.3).
Comment 1 Edwin Groothuis freebsd_committer 2011-07-15 13:00:41 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bapt

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Baptiste Daroussin freebsd_committer 2011-07-22 06:34:50 UTC
Responsible Changed
From-To: bapt->office

Over to the office team
Comment 3 dfilter freebsd_committer 2011-09-05 12:45:46 UTC
bapt        2011-09-05 11:45:31 UTC

  FreeBSD ports repository

  Modified files:
    editors/libreoffice  Makefile distinfo 
    editors/libreoffice/files 
                              patch-clone__filters__oox__source__token__makefile.mk 
                              patch-clone_ure_sal_inc_sal_main.h 
                              patch-configure.in 
                              patch-solenv__inc__unxfbsd.mk 
  Added files:
    editors/libreoffice/files 
                              patch-clone__components__automation__source__testtool__objtest.cxx 
                              patch-clone_libs-gui__tools__inc__solar.h 
                              patch-set_soenv_in 
  Removed files:
    editors/libreoffice/files patch-solenv__inc__unx.mk 
  Log:
  - update to 3.4.3
  - New options:
    * SYSTRAY to activate the system try icons (quick start)
    * GTK (which to be able to build a completly gtk free version of libreoffice please notice that dependencies can bring back gtk, for example libgsf if not built with the following knob: WITHOUT_GCONF)
    * the GNOME option automatically activate the GTK one
    * PYUNO do enable/disable the build of the python bindings for the UNO framework
  
  - Disable system notification while building
  - Remove the wiki-publisher extensions, it forces the build to have 3 apache-commons distfiles bundles and one of them the httpclient was failing with some locales activated
  - Use pax instead or tar cf | tar xf, it is way faster to install
  - Fix reading/writting MS Office documents
  - Fix random segfaults: cell rendering options in calc, languages setting in global options
  - Largely reduce built time
  - Unbundle more things
  - Be able to work with packaged hunspell, thesaurus and hyphenation as well as the usual extensions
  - Now cups is mandatory (configure script is bugguy without cups)
  - remove broken
  
  PR:             ports/157357 ports/156038 ports/158945 ports/159287 ports/160023
                  ports/160318
  Submitted by:   Hartmann, O. <ohartman@zedat.fu-berlin.de> (ports/157357),
                  Kuan-Chung Chiu <buganini@gmail.com> (ports/156038),
                  Dmitry Pryanishnikov <lynx.ripe@gmail.com> (ports/158945),
                  Adrien <pmn@bakarika.net> (ports/159287),
                  Travis Hunter <travis.hunter@gmail.com> (ports/160023),
                  gcooper@ (ports/160318)
  With hat:       office@
  
  Revision  Changes    Path
  1.25      +124 -64   ports/editors/libreoffice/Makefile
  1.7       +46 -50    ports/editors/libreoffice/distinfo
  1.1       +14 -0     ports/editors/libreoffice/files/patch-clone__components__automation__source__testtool__objtest.cxx (new)
  1.2       +3 -3      ports/editors/libreoffice/files/patch-clone__filters__oox__source__token__makefile.mk
  1.1       +15 -0     ports/editors/libreoffice/files/patch-clone_libs-gui__tools__inc__solar.h (new)
  1.2       +5 -5      ports/editors/libreoffice/files/patch-clone_ure_sal_inc_sal_main.h
  1.2       +79 -3     ports/editors/libreoffice/files/patch-configure.in
  1.1       +26 -0     ports/editors/libreoffice/files/patch-set_soenv_in (new)
  1.2       +0 -17     ports/editors/libreoffice/files/patch-solenv__inc__unx.mk (dead)
  1.2       +22 -18    ports/editors/libreoffice/files/patch-solenv__inc__unxfbsd.mk
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Baptiste Daroussin freebsd_committer 2011-09-05 12:47:44 UTC
State Changed
From-To: open->closed

Should be fixed in libreoffice 3.4.3.